gtst(1)

NAME
gtst - test the consistency of source graphs

SYNOPSIS
gtst [options] [gfile] [lfile]

DESCRIPTION
The gtst program checks, in a sequential way, the consistency of a Scotch source graph and, in case of success, outputs some statistics regarding edge weights, vertex weights, and vertex degrees.

It produces the very same results as the dgtst(1) program of the PT-Scotch parallel distribution, but unlike this latter it cannot handle distributed graphs.

Source graph file gfile can only be a centralized graph file. The resulting statistics are stored in file lfile. When file names are not specified, data is read from standard input and written to standard output. Standard streams can also be explicitly represented by a dash '-'.

When the proper libraries have been included at compile time, gtst can directly handle compressed graphs, both as input and output. A stream is treated as compressed whenever its name is postfixed with a compressed file extension, such as in 'brol.grf.bz2' or '-.gz'. The compression formats which can be supported are the bzip2 format ('.bz2'), the gzip format ('.gz'), and the lzma format ('.lzma').

OPTIONS

-h  Display some help.

-V  Display program version and copyright.

EXAMPLE
Test the consistency of graph brol.grf:

    $ gtst brol.grf

SEE ALSO
dgtst(1), gbase(1), gmap(1), gord(1), gout(1).

Scotch user's manual.

AUTHOR
Francois Pellegrini <francois.pellegrini@labri.fr>